GDBserver

Functions
selftests::tdesc Namespace Reference

## Functions
static void | aarch64_tdesc_test ()
static void | i386_tdesc_test ()

## Function Documentation

## ◆ aarch64_tdesc_test()

static void selftests::tdesc::aarch64_tdesc_test | ( |  | ) |
| static

Definition at line 30 of file linux-aarch64-tdesc-selftest.c.

References aarch64_linux_read_description(), SELF_CHECK, and tdesc_aarch64.

Referenced by initialize_low_tdesc().

## ◆ i386_tdesc_test()

static void selftests::tdesc::i386_tdesc_test | ( |  | ) |
| static

Definition at line 95 of file linux-x86-tdesc-selftest.c.

References i386_linux_read_description(), SELF_CHECK, tdesc_i386_avx_avx512_linux, tdesc_i386_avx_linux, tdesc_i386_avx_mpx_avx512_pku_linux, tdesc_i386_avx_mpx_linux, tdesc_i386_linux, tdesc_i386_mmx_linux, tdesc_i386_mpx_linux, X86_XSTATE_AVX_AVX512_MASK, X86_XSTATE_AVX_MASK, X86_XSTATE_AVX_MPX_AVX512_PKU_MASK, X86_XSTATE_AVX_MPX_MASK, X86_XSTATE_MPX_MASK, X86_XSTATE_SSE_MASK, and X86_XSTATE_X87.

Referenced by initialize_low_tdesc().